## golang-github-docker-goamz 0.0~git20160206.0.f0a21f5

=== Makefile ===
.PHONY: all fmt vet lint test test-short test-long
.DEFAULT: all
all: AUTHORS fmt vet lint test-short test-long
test: fmt vet test-short


AUTHORS: .mailmap .git/HEAD
	 git log --format='%aN <%aE>' | sort -fu > $@

# Required for go 1.5 to build
GO15VENDOREXPERIMENT := 1

# Package list
PKGS := $(shell go list -tags "${BUILDTAGS}" ./... | grep -v "/vendor/")

# Resolving binary dependencies for specific targets
GOLINT_BIN := $(GOPATH)/bin/golint
GOLINT := $(shell [ -x $(GOLINT_BIN) ] && echo $(GOLINT_BIN) || echo '')

GODEP_BIN := $(GOPATH)/bin/godep
GODEP := $(shell [ -x $(GODEP_BIN) ] && echo $(GODEP_BIN) || echo '')

vet:
	@echo "+ $@"
	go vet -tags "${BUILDTAGS}" $(PKGS)

fmt:
	@echo "+ $@"
	test -z "$$(gofmt -s -l . 2>&1 | grep -v vendor/ | tee /dev/stderr)" || \
		(echo >&2 "+ please format Go code with 'gofmt -s'" && false)

lint:
	@echo "+ $@"
	$(if $(GOLINT), , \
		$(error Please install golint: `go get -u github.com/golang/lint/golint`))
	test -z "$$($(GOLINT) ./... 2>&1 | grep -v vendor/ | tee /dev/stderr)"

test-short:
	@echo "+ $@"
	go test -v -test.short -tags "${BUILDTAGS}" ./iam/ ./s3/

test-long:
	@echo "+ $@"
	go test -tags "${BUILDTAGS}" ./autoscaling/ ./aws/ ./cloudfront/ ./cloudwatch/ ./dynamodb/ ./ec2/ ./elasticache/ ./elb/ ./iam/ ./kinesis/ ./rds/ ./route53/ ./s3/ ./sns/ ./sqs/ ./sts/ ./exp/mturk/ ./exp/sdb/ ./exp/ses/

dep-save:
	@echo "+ $@"
	$(if $(GODEP), , \
		$(error Please install godep: go get github.com/tools/godep))
	godep save $(PKGS)

dep-restore:
	@echo "+ $@"
	$(if $(GODEP), , \
		$(error Please install godep: go get github.com/tools/godep))
	godep restore $(PKGS)

=== dynamodb/Makefile ===
DYNAMODB_LOCAL_VERSION = latest

launch: DynamoDBLocal.jar
	cd dynamodb_local_$(DYNAMODB_LOCAL_VERSION) && java -Djava.library.path=./DynamoDBLocal_lib -jar DynamoDBLocal.jar

DynamoDBLocal.jar: dynamodb_local_$(DYNAMODB_LOCAL_VERSION).tar.gz
	mkdir -p dynamodb_local_$(DYNAMODB_LOCAL_VERSION)
	[ -f dynamodb_local_$(DYNAMODB_LOCAL_VERSION)/DynamoDBLocal.jar ] || tar -C dynamodb_local_$(DYNAMODB_LOCAL_VERSION) -zxf dynamodb_local_$(DYNAMODB_LOCAL_VERSION).tar.gz

dynamodb_local_$(DYNAMODB_LOCAL_VERSION).tar.gz:
	curl -L -O http://dynamodb-local.s3-website-us-west-2.amazonaws.com/dynamodb_local_$(DYNAMODB_LOCAL_VERSION).tar.gz

clean:
	rm -rf dynamodb_local_$(DYNAMODB_LOCAL_VERSION)*

=== debian/changelog ===
golang-github-docker-goamz (0.0~git20160206.0.f0a21f5-3) unstable; urgency=medium

  * Team upload.
  * drop incorrect test-fixture-locations.patch
  * add fix-TestPutAllZeroSizeFile.patch

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 16 Feb 2018 22:01:43 +0100

golang-github-docker-goamz (0.0~git20160206.0.f0a21f5-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 17:10:18 +0300

golang-github-docker-goamz (0.0~git20160206.0.f0a21f5-1) unstable; urgency=medium

  * Initial release (Closes: #853788)

 -- Tim Potter <tpot@hpe.com>  Tue, 01 Nov 2016 16:27:40 +1100

=== debian/control ===
Source: golang-github-docker-goamz
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.31),
               golang-any,
               golang-github-bitly-go-simplejson-dev,
               golang-github-cbroglie-mapstructure-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 3.9.8
Homepage: https://github.com/docker/goamz
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-docker-goamz.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-docker-goamz.git
XS-Go-Import-Path: github.com/docker/goamz

Package: golang-github-docker-goamz-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-bitly-go-simplejson-dev,
         golang-github-cbroglie-mapstructure-dev
Description: Enable Go programs to interact with Amazon Web Services
 The goamz package enables Go programs to interact with the Amazon Web
 Services including AWS, EC2, S3, ELB, SQS and SNS.
 .
 It was developed within Canonical as part of an experiment related to
 using the Go language with the juju project, but is now a set of
 generally adopted and maintained Go packages that talk to several
 Amazon Web Services.
 .
 This package is a fork of the GOAMZ version developed within
 Canonical with additional functionality and services, including
 DynamoDB.
